# CKEditor 3.0 JavaScript API Documentation

Code Index | File Index

## Namespaces

- CKEDITOR
- CKEDITOR.ajax
- CKEDITOR.config
- CKEDITOR.dom
- CKEDITOR.dtd
- CKEDITOR.env
- CKEDITOR.imageCacher
- CKEDITOR.loader
- CKEDITOR.plugins
- CKEDITOR.resourceManager
- CKEDITOR.scriptLoader
- CKEDITOR.skins
- CKEDITOR.test
- CKEDITOR.themes
- CKEDITOR.tools

## Classes

- CKEDITOR.commandDefinition
- CKEDITOR.dialog
- CKEDITOR.dialog.buttonDefinition
- CKEDITOR.dialog.contentDefinition
- CKEDITOR.dialog.contentDefinitionObject
- CKEDITOR.dialog.dialogDefinition
- CKEDITOR.dialog.dialogDefinitionObject
- CKEDITOR.dialog.uiElementDefinition
- CKEDITOR.dialogCommand
- CKEDITOR.dom.document
- CKEDITOR.dom.domObject
- CKEDITOR.dom.element
- CKEDITOR.dom.event
- CKEDITOR.dom.node
- CKEDITOR.dom.selection
- CKEDITOR.dom.text
- CKEDITOR.dom.window
- CKEDITOR.editor
- CKEDITOR.event
- CKEDITOR.eventInfo
- CKEDITOR.focusManager
- CKEDITOR.htmlParser
- CKEDITOR.htmlParser.cdata
- CKEDITOR.htmlParser.comment
- CKEDITOR.htmlParser.element
- CKEDITOR.htmlParser.fragment
- CKEDITOR.htmlParser.text
- CKEDITOR.htmlWriter
- CKEDITOR.keystrokeHandler
- CKEDITOR.pluginDefinition
- CKEDITOR.ui
- CKEDITOR.ui.button
- CKEDITOR.ui.dialog.button
- CKEDITOR.ui.dialog.checkbox
- CKEDITOR.ui.dialog.file
- CKEDITOR.ui.dialog.fileButton
- CKEDITOR.ui.dialog.hbox
- CKEDITOR.ui.dialog.html
- CKEDITOR.ui.dialog.labeledElement
- CKEDITOR.ui.dialog.radio
- CKEDITOR.ui.dialog.select
- CKEDITOR.ui.dialog.textarea
- CKEDITOR.ui.dialog.textInput
- CKEDITOR.ui.dialog.uiElement
- CKEDITOR.ui.dialog.vbox
- CKEDITOR.ui.handlerDefinition
- CKEDITOR.xml

# Class CKEDITOR.keystrokeHandler

Defined in: plugins/keystrokes/plugin.js.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| CKEDITOR.keystrokeHandler(editor) Controls keystrokes typing in an editor instance.

Field Summary
Field Attributes | Field Name and Description
--- | ---
| blockedKeystrokes List of keystrokes that should be blocked if not defined at keystrokes.
| keystrokes List of keystrokes associated to commands.

Method Summary
Method Attributes | Method Name and Description
--- | ---
| attach(domObject) Attaches this keystroke handle to a DOM object.

Class Detail
CKEDITOR.keystrokeHandler(editor)
Since: 3.0
Controls keystrokes typing in an editor instance.

Parameters:
{CKEDITOR.editor} editor
  The editor instance.

Field Detail
{Object} blockedKeystrokes
Since: 3.0
List of keystrokes that should be blocked if not defined at keystrokes. In this way it is possible to block the default browser behavior for those keystrokes.

{Object} keystrokes
Since: 3.0
List of keystrokes associated to commands. Each entry points to the command to be executed.
Method Detail
{Undefined} attach(domObject)
Since: 3.0
Attaches this keystroke handle to a DOM object. Keystrokes typed * over this object will get handled by this keystrokeHandler.

Parameters:
{CKEDITOR.dom.domObject} domObject
  The DOM object to attach to.

Copyright © 2003-2009, CKSource - Frederico Knabben. All rights reserved.